Confirm Arrival

Beta: Confirm slot arrival

post

Confirm arrival for a slot

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

Responses
chevron-right
200

Slot arrival confirmed successfully

application/json
uidstringRequired

Unique identifier for the slot

start_timestring Β· date-timeRequired

Start time of the slot in ISO 8601 format

end_timestring Β· date-timeRequired

End time of the slot in ISO 8601 format

statestring Β· enumRequired

Current state of the slot

Possible values:
notestringOptional

Optional note for the slot

post
/flow/sites/{site-slug}/slots/{slot-uid}/confirm-arrival/
200

Slot arrival confirmed successfully

Last updated

Was this helpful?